.main-content {
  padding: 25px 0 30px;
}

.main-content > section {
  margin: 10px;
  position: relative;
  z-index: 0;
}

figure {
  position: relative;
  width: 450px;
  height: 450px;
  box-shadow: 0 0 2px #333;
  overflow: hidden;
}

figure img {
  position: absolute;
  top: 0;
  left: 0;
}

figure figcaption {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  position: absolute;
  width: 100%;
  height: 55%;
  top: 50%;
  color: #fff;
  background-color: rgba(0, 0, 0, 0.65);
  -webkit-transform: translateY(-50%);
          transform: translateY(-50%);
}

figure figcaption > * {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  font-family: "Palatino Linotype", Georgia;
}

figure figcaption h1 {
  -webkit-box-flex: 0;
      -ms-flex: 0 0 20%;
          flex: 0 0 20%;
  font-size: 1.7em;
  font-weight: bold;
}

figure figcaption p {
  background: rgba(0,0,0,0.8);
  -webkit-box-flex: 0;
      -ms-flex: 0 0 50%;
          flex: 0 0 50%;
  text-align: center;
  font-size: 1.1em;
  line-height: 1.2;
  padding: 0 5px;
}

figure figcaption p a{
font: 0.9em/1.2 Verdana;
color: tomato;
text-decoration: none;
}

figure figcaption p a:hover{
color: red;
}

figure figcaption .links {
  -webkit-box-flex: 0;
      -ms-flex: 0 0 30%;
          flex: 0 0 30%;
}

figure figcaption .links i {
  color: #fff;
  padding: 5px;
  margin-right: 5px;
  border: 1px solid #fff;
  -webkit-transition: all 500ms;
          transition: all 500ms;
}

figure figcaption .links i:hover {
  background-color: #D04235;
  -webkit-transform: translateY(2px);
          transform: translateY(2px);
}

/*  effect1 */

.effect1 figcaption {
  opacity: 0;
  -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
  -webkit-transition: opacity 0.4s linear;
          transition: opacity 0.4s linear;
}

.effect1:hover figcaption {
  opacity: 1;
  -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=100)";
}

/* ribbon 6 */

.rib6 {
    position: absolute;
	z-index: 1;
    height: 2em;
    width: 8em;
    top: -1em;
    right: -4em;
    text-align: center;
    color: #f30;
    background: -webkit-linear-gradient(315deg,transparent 50%,currentColor 0),-webkit-linear-gradient(left,transparent 2em,currentColor 0,currentColor calc(100% - 2em),transparent 0),-webkit-linear-gradient(225deg,transparent 50%,currentColor 0);
    background: linear-gradient(135deg,transparent 50%,currentColor 0),linear-gradient(to right,transparent 2em,currentColor 0,currentColor calc(100% - 2em),transparent 0),linear-gradient(225deg,transparent 50%,currentColor 0);
    background-size: 2em 2em,100% 100%,2em 2em;
    background-position: 0 0,0 0,100% 0;
    background-repeat: no-repeat;
    -webkit-transform: rotate(45deg) translateY(2.2em);
    transform: rotate(45deg) translateY(2.2em);
    -webkit-transform-origin: 50% 50%;
    transform-origin: 50% 50%;
    box-shadow: 0 3px 2px -2px #8e8e8e;
}

.rib6:before {
    display: block;
    position: absolute;
    content: "";
    width: 10px;
    height: 10px;
    top: 2em;
    left: 0;
    color: inherit;
    background: -webkit-linear-gradient(315deg,currentColor 50%,transparent 0);
    background: linear-gradient(135deg,currentColor 50%,transparent 0);
    border-bottom-left-radius: 90%;
}

.rib6:after {
    display: block;
    position: absolute;
    content: "";
    width: 10px;
    height: 10px;
    top: 2em;
    right: 0;
    color: inherit;
    background: -webkit-linear-gradient(225deg,currentColor 50%,transparent 0);
    background: linear-gradient(225deg,currentColor 50%,transparent 0);
    border-bottom-right-radius: 90%;
}

.rib6 span {
    display: block;
    position: relative;
    z-index: 1;
    font: 700 1em/2 Helvetica,sans-serif;
    color: #fff;
    letter-spacing: 1px;
    overflow: hidden;
	width: 50%;
	left: 25%;
}

.rib6 span:before {
    display: block;
    position: absolute;
    z-index: -1;
    content: "";
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background: -webkit-linear-gradient(top,transparent 10%,rgba(255,255,255,.8) 10%,rgba(255,255,255,.8) 13%,transparent 0,transparent 85%,rgba(255,255,255,.8) 85%,rgba(255,255,255,.8) 89%,transparent 0);
    background: linear-gradient(to bottom,transparent 10%,rgba(255,255,255,.8) 10%,rgba(255,255,255,.8) 13%,transparent 0,transparent 85%,rgba(255,255,255,.8) 85%,rgba(255,255,255,.8) 89%,transparent 0);
}

.rib6 span:after {
    display: block;
    position: absolute;
    z-index: -1;
    content: "";
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background: -webkit-linear-gradient(left,rgba(229,172,142,0.1),rgba(255,255,255,0.5) 50%,rgba(229,172,142,0.1));
    background: linear-gradient(to right,rgba(229,172,142,0.1),rgba(255,255,255,0.5) 50%,rgba(229,172,142,0.1));
    -webkit-transform: translateX(-8em);
    transform: translateX(-8em);
    -webkit-animation: shinny 2.5s forwards infinite;
    animation: shinny 2.5s forwards infinite;
}

@-webkit-keyframes shinny {
    0%,75% {
        -webkit-transform: translateX(-8em);
        transform: translateX(-8em);
    }

    100% {
        -webkit-transform: translateX(8em);
        transform: translateX(8em);
    }
}

@keyframes shinny {
    0%,75% {
        -webkit-transform: translateX(-8em);
        transform: translateX(-8em);
    }

    100% {
        -webkit-transform: translateX(8em);
        transform: translateX(8em);
    }
}

